
//shaders for Trem2 by Godmil,  shaders written by Evillair, ydnar, jex, Amethyst7
//Shaders borrowed from Karith by supertanker

//and Godmil, compiled and edited by Godmil
//also (when I started getting desperate) compiled with the help of:
//  MapShader by LordDaimos (http://lorddaimos.railbait.com) 


// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/ig_chaos_b1/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ig_chaos_b1/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ig_chaos_b1/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ig_chaos_b1/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ig_chaos_b1/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ig_chaos_b1/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}



textures/ig_chaos_b1/spark_shader
{
	entityMergable
	cull none
	{
		map textures/ig_chaos_b1/spark_01.tga
		blendFunc add
		rgbGen		const ( 0 1 1 )
		alphaGen	vertex
		//tcmod rotate 360
	}
}

textures/ig_chaos_b1/ladder
{
	qer_trans .75
	qer_editorimage textures/common/mirror.tga
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

//by Godmil & jex
textures/ig_chaos_b1/defaultmetal_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/defaultmetal.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/defaultmetal.jpg

	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/drkmtl_default_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/drkmtl_default.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/drkmtl_default.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/baseflatmed_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/base_flat_med.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/base_flat_med.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/de-cleanmtl_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/de-cleanmtl.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/de-cleanmtl.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/defaultmetal_s
{
	qer_editorimage textures/ig_chaos_b1/defaultmetal.jpg
	surfaceparm solid
	{
		map textures/ig_chaos_b1/defaultmetal.jpg

	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/e8warning128_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e8warning128.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e8warning128.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}


// - by Evillair - edited by Godmil
textures/ig_chaos_b1/e8tmtllight2_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e8tmtllight2.tga
	q3map_lightimage textures/ig_chaos_b1/e8tmtllight2.blend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 950
	{
		map textures/ig_chaos_b1/e8tmtllight2.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/ig_chaos_b1/e8tmtllight2.blend.tga
		blendfunc add
	}
}

//by Godmil & jex
textures/ig_chaos_b1/e8_base1_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e8_base1.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e8_base1.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/mtldrk0_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/mtldrk0.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/mtldrk0.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/base_flat_med_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/base_flat_med.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/base_flat_med.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/e6dmetal_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6dmetal.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6dmetal.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/e6drkbmetalscatched_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6drkbmetalscatched.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6drkbmetalscatched.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//evillairs white striplight, edited by godmil
textures/ig_chaos_b1/e6whitelight_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6basicstrip_white.tga

	}
}

//evillairs, edited by godmil
textures/ig_chaos_b1/spotlight
{
	qer_editorimage textures/ig_chaos_b1/spotlight.jpg
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/spotlight.jpg

	}
}

//By Evillair, edited by godmil
textures/ig_chaos_b1/e6basicstrip_orange_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_orange.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6basicstrip_orange.tga
	}
}

//By Evillair, edited by godmil
textures/ig_chaos_b1/e6basicstrip_red_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_red.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6basicstrip_red.tga
	}
}

//By Evillair, edited by godmil (unknown textures nicked frmo Nexus6)
textures/ig_chaos_b1/sq_light_orange_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/sq_light_orange.jpg
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/sq_light_orange.jpg
	}
}



// by evillair edited by godmil
textures/ig_chaos_b1/trem2redlight_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/trem2redlight.jpg
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/trem2redlight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by Godmil & jex
textures/ig_chaos_b1/trem2deadlight_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/trem2deadlight.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/trem2deadlight.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

// by Jex (texture from urban_trim by ydnar)
textures/ig_chaos_b1/fan_s
{
	qer_editorimage textures/ig_chaos_b1/tag-fan-blade.tga
	surfaceparm trans
	qer_trans 0.5
	{
		clampmap textures/ig_chaos_b1/tag-fan-blade.tga
		tcMod rotate 250
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

//by Godmil & jex
textures/ig_chaos_b1/e8_base1c_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e8_base1c.jpg
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e8_base1c.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

//by ydnar edited by godmil
textures/ig_chaos_b1/snow_rock3
{
	q3map_lightImage textures/ig_chaos_b1/snow_1.tga

	qer_editorimage textures/ig_chaos_b1/dot2c.jpg	

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
	q3map_alphaMod dotproduct2 ( 0.2 0 0.76 )
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	
	{
		map textures/ig_chaos_b1/rock_1.tga
		rgbGen identity
	}
	{
		map textures/ig_chaos_b1/snow_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
		tcMod scale 7 7
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// by jex or timbo
textures/ig_chaos_b1/ladder
{
	qer_trans .75
	qer_editorimage textures/ig_chaos_b1/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

//written by ydnar - edited by godmil
textures/godmil/terrain_snow
{
	q3map_lightImage textures/ig_chaos_b1/snow_1.tga

	qer_editorimage textures/ig_chaos_b1/snow_1.tga

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	{
		map textures/ig_chaos_b1/snow_1.tga
		rgbGen identity
		tcMod scale 7 7
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// by jex
textures/ig_chaos_b1/mist_s
{
	entityMergable
	cull none
	{
		map textures/ig_chaos_b1/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

// by jex
textures/ig_chaos_b1/waterdrop_s
{
	entityMergable
	cull none
	{
		map textures/ig_chaos_b1/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

//Beautifully written by ydnar - edited by godmil
textures/ig_chaos_b1/snow_rock
{
	q3map_lightImage textures/ig_chaos_b1/snow_1.tga

	qer_editorimage textures/ig_chaos_b1/dot2.jpg	

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
	q3map_alphaMod dotproduct2 ( 0.1 -0.2 0.99 )
	
	q3map_lightmapSampleSize 32
	
	q3map_globalTexture
	
	{
		map textures/ig_chaos_b1/rock_1.tga
		rgbGen identity
	}
	{
		map textures/ig_chaos_b1/snow_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
		tcMod scale 8 8
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//by Ydnar, edit by godmil
textures/ig_chaos_b1/snow_rock2
{
	q3map_lightImage textures/ig_chaos_b1/snow_1.tga

	qer_editorimage textures/ig_chaos_b1/dot2.jpg	

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
	q3map_alphaMod dotproduct2 ( 0.1 -0.2 0.99 )
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	
	{
		map textures/ig_chaos_b1/rock_1.tga
		rgbGen identity
	}
	{
		map textures/ig_chaos_b1/snow_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
		tcMod scale 7 7
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ig_chaos_b1/e8tinylight_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e8tinylight.tga
	q3map_lightimage textures/ig_chaos_b1/e8tinylight.blend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 950
	{
		map textures/ig_chaos_b1/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ig_chaos_b1/e8tinylight.blend.tga
		blendfunc add
	}
}


//editted by supertanker
textures/ig_chaos_b1/sky
{
	qer_editorimage textures/ig_chaos_b1/snowy.tga
	surfaceparm noimpact
	q3map_skylight 55 5
	q3map_noFast
	q3map_lightmapFilterRadius 0 2
	surfaceparm nolightmap
	
	q3map_sunExt 0.9 0.95 1 55 45 60 1.5 8
	skyParms env/ig_chaos_b1/snowy - -
}


//by Evillair wee edit by Godmil
textures/ig_chaos_b1/e6whitestrip_nolight_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_white.jpg
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	
	{
		map textures/ig_chaos_b1/e6basicstrip_white.jpg
	}
}

//by Evillair (edit by Godmil)
textures/ig_chaos_b1/e6redstrip_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_red.jpg
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ig_chaos_b1/e6basicstrip_red.jpg
	}
}

//By Evillair, edit by godmil
textures/ig_chaos_b1/e6bsegrtflr256_nonsolid
{
	qer_editorimage textures/ig_chaos_b1/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull none

	{
		map textures/ig_chaos_b1/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

//variation on shader by ydnar - edited by godmil
textures/ig_chaos_b1/terrain_rock
{
//	q3map_lightImage textures/ig_chaos_b1/snow_1.tga

	qer_editorimage textures/ig_chaos_b1/rock_1.tga

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
//	q3map_alphaMod dotproduct2 ( 0.1 -0.2 0.99 )
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	
	{
		map textures/ig_chaos_b1/rock_1.tga
		rgbGen identity
	}
//	{
//		map textures/ig_chaos_b1/snow_1.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
//		rgbGen identity
//		alphaGen vertex
//		tcMod scale 7 7
//	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//variation on shader by ydnar - edited by godmil
textures/ig_chaos_b1/terrain_snow
{

	qer_editorimage textures/ig_chaos_b1/snow_1.tga

	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33

	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	
	{
		map textures/ig_chaos_b1/snow_1.tga
		rgbGen identity
		tcMod scale 7 7
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//by Evillair -c2
textures/ig_chaos_b1/eshinytin2
{    
qer_editorimage textures/ig_chaos_b1/eshinytin.tga 
        { 
                map textures/ig_chaos_b1/trem2ref.jpg  
                tcGen environment 
		rgbGen identity 
                tcmod scale 0.55 1 
	}   
      { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
	{ 
		map textures/ig_chaos_b1/eshinytin.tga 
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		rgbGen identity 
	} 
        { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}

//by Evillair -c2
textures/ig_chaos_b1/e8trimlight2
{
	qer_editorimage textures/ig_chaos_b1/e8trimlight.tga
	q3map_lightimage textures/ig_chaos_b1/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ig_chaos_b1/e8trimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ig_chaos_b1/e8trimlight.blend.tga
		blendfunc add
	}
}

//by Evillair -c2
textures/ig_chaos_b1/e8bgrate01b
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/ig_chaos_b1/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//by Evillair -c2
textures/ig_chaos_b1/e8tinylightblue2
{
	qer_editorimage textures/ig_chaos_b1/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ig_chaos_b1/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ig_chaos_b1/e8tinylightblue.blend.tga
		blendfunc add
	}
}

//by Evillair -c2
textures/ig_chaos_b1/e8clangfloor05t2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ig_chaos_b1/e8clangfloor05.tga
		blendfunc filter
		rgbGen identity
	}
}

//by Evillair -c2
textures/ig_chaos_b1/e8clangfloor05c2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ig_chaos_b1/e8clangfloor05c.tga
		blendfunc filter
		rgbGen identity
	}
}

//by Evillair -c
textures/ig_chaos_b1/e6bsegrtflr256_s2
{
	qer_editorimage textures/ig_chaos_b1/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/ig_chaos_b1/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

//by Evillair -c2
textures/ig_chaos_b1/e6basicstripred_nolight
{
	qer_editorimage textures/ig_chaos_b1/e6basicstrip_red.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	
	{
		map textures/ig_chaos_b1/e6basicstrip_red.tga
	}
}

//by Evillair -c
textures/ig_chaos_b1/e6metalfan_s2
{
	qer_editorimage textures/ig_chaos_b1/e6metalfan.tga

	{
		map textures/ig_chaos_b1/e6metalfan_blade.tga
		tcmod rotate 5000
	}
	{
		map textures/ig_chaos_b1/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/
textures/ig_chaos_b1/darkglass2
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/ig_chaos_b1/trem2ref.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/
textures/ig_chaos_b1/plainglass2
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/ig_chaos_b1/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}


/// by Jex
textures/ig_chaos_b1/tfloor_rndholes_drty_s2
{
	qer_editorimage textures/ig_chaos_b1/tfloor_rndholes_drty.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/ig_chaos_b1/tfloor_rndholes_drty.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

//by jex -c2
textures/ig_chaos_b1/e3grate_transt2
{
	qer_editorimage textures/ig_chaos_b1/grt_offmtl.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/ig_chaos_b1/grt_offmtl.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ig_chaos_b1/solidslick_s
{
	qer_editorimage textures/ig_chaos_b1/solidslick.tga
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
}

textures/ig_chaos_b1/e6bgrateblack //from evil6 by Evillair
{
	qer_editorimage textures/ig_chaos_b1/e6bsegrtflr256.tga
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/ig_chaos_b1/e6bsegrtflr256.tga
		rgbGen identity
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

// Nodraw Water face by Godmil 19:20 15/02/2004
textures/ig_chaos_b1/water_nodraw
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
}
//by jex
textures/ig_chaos_b1/trembru_st2
{
	qer_editorimage textures/ig_chaos_b1/trembru.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/ig_chaos_b1/trembru.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ig_chaos_b1/trembru.tga
		blendfunc add
	}
}
//by Evillair
textures/ig_chaos_b1/barreltopt2
{
   	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none 

	{ 
		map textures/ig_chaos_b1/barrel_rst_top2.tga   
		alphaFunc GE128 
		depthWrite 
	} 
	{ 
		map $lightmap 
		blendFunc filter
		depthFunc equal 
	} 
} 

textures/ig_chaos_b1/water
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/ig_chaos_b1/water_bluish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/ig_chaos_b1/water_redish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

textures/ig_chaos_b1/light1_3000
{
  qer_editorimage textures/base_light/light1.tga
  light 1
  surfaceparm nomarks
  q3map_surfacelight 1500
  {
    map $lightmap
      rgbGen identity
  }
  {
    map textures/base_light/light1.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
  {
    map textures/base_light/light1.blend.tga
    //rgbGen wave sin 0.5 0.5 0 3
    blendFunc GL_ONE GL_ONE
  }
}

textures/ig_chaos_b1/e8tinylight
{
	qer_editorimage textures/ig_chaos_b1/e8tinylight.jpg
	q3map_lightimage textures/ig_chaos_b1/e8tinylight.blend.jpg
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ig_chaos_b1/e8tinylight.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ig_chaos_b1/e8tinylight.blend.jpg
		blendfunc add
	}
}

textures/ig_chaos_b1/snowleaf_s
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_editorimage textures/ig_chaos_b1/leaf1.tga
	{
		map textures/ig_chaos_b1/leaf1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}